perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From George Karabotsos <kara...@gmail.com>
Subject mod_perl2.0.4: Apache2::compat errors
Date Fri, 31 Jul 2009 17:23:20 GMT
Hi guys,

I have created this minimal script:

#!/usr/bin/env perl
use Apache2::compat;

and here's what I get:

> perl -c Tester.pl
Undefined subroutine &Apache2::ServerUtil::restart_count called at
/usr/lib/perl5/site_perl/5.10.0/i486-linux-thread-multi/Apache2/compat.pm
line 76.
Compilation failed in require at Tester.pl line 2.
BEGIN failed--compilation aborted at Tester.pl line 2.

> perl -v
This is perl, v5.10.0 built for i486-linux-thread-multi

> uname -a
Linux athina 2.6.30.3 #3 SMP Tue Jul 28 11:56:46 PDT 2009 i686
Intel(R) Core(TM)2 Duo CPU     T7250  @ 2.00GHz GenuineIntel GNU/Linux

> httpd -v
Server version: Apache/2.2.12 (Unix)
Server built:   Jul 31 2009 10:01:42

Any help will be much appreciated.
George

Mime
View raw message